SystemOrganization addCategory: #FuelPackaging!

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'JH 1/16/2013 11:48'!
serializeBinaryModule: aMCVersion 
	| aStream |
	aStream := RWBinaryOrTextStream on: String new.
	FLPackageStore new storePackageNamed: aMCVersion package name on: aStream.
	^ aStream contents! !

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'JH 1/16/2013 11:49'!
writeBinaryModule: aMCVersion

	self
		addString: (self serializeBinaryModule: aMCVersion)
		at: 'binaryModule.bin'.! !

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'JH 1/16/2013 12:10'!
writeVersion: t1 
	self writeFormat.
	self writePackage: t1 package.
	self writeVersionInfo: t1 info.
	self writeDefinitions: t1.
	t1 dependencies
		do: [:t2 | self writeVersionDependency: t2].
	self writeBinaryModule: t1! !

Object subclass: #FuelPackage
	instanceVariableNames: 'packageName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelPackaging'!

!FuelPackage class methodsFor: 'as yet unclassified' stamp: 'pre 1/16/2013 13:36'!
newFromPackageNamed: packageName

	| p |
	p := self new.
	p packageName: packageName.
	^p! !

!FuelPackage class methodsFor: 'as yet unclassified' stamp: 'rms 1/16/2013 13:18'!
newFromStream: aStream! !

!FuelPackage methodsFor: 'as yet unclassified' stamp: 'pre 1/16/2013 13:37'!
materialize
! !

!FuelPackage methodsFor: 'accessing' stamp: 'pre 1/16/2013 13:36'!
packageName

	^ packageName! !

!FuelPackage methodsFor: 'accessing' stamp: 'pre 1/16/2013 13:36'!
packageName: anObject

	packageName := anObject! !

!FuelPackage methodsFor: 'as yet unclassified' stamp: 'pre 1/16/2013 13:36'!
serialize

	FileStream forceNewFileNamed: self packageName ,'.fuel' do: 
	    [:aStream |
       	aStream binary.
       	FLPackageStore new storePackageNamed: self packageName on: aStream.].! !
